libmwaw::DebugFile::NotePos Struct Reference

a note and its position (used to sort all notes) More...

`#include <MWAWDebug.hxx>`

## Classes

struct | NotePosLt
| internal struct used to sort the notes, sorted by position More...

## Public Types

typedef std::map< NotePos, int, struct NotePosLt > | Map
| map of notes More...

## Public Member Functions

| NotePos ()
| empty constructor used by std::vector More...
| NotePos (long p, std::string const &n, bool br=true)
| constructor: given position and note More...
bool | operator< (NotePos const &p) const
| comparison operator based on the position More...

## Public Attributes

long | m_pos
| note offset More...
std::string | m_text
| note text More...
bool | m_breaking
| flag to indicate a non breaking note More...

## Detailed Description

a note and its position (used to sort all notes)

## Member Typedef Documentation

libmwaw::DebugFile::NotePos::Map

map of notes

## Constructor & Destructor Documentation

libmwaw::DebugFile::NotePos::NotePos | ( |  | ) |

inline

empty constructor used by std::vector

libmwaw::DebugFile::NotePos::NotePos | ( | long | p,
|  | std::string const & | n,
|  | bool | br = `true`
| ) |  |

inline

constructor: given position and note

## Member Function Documentation

bool libmwaw::DebugFile::NotePos::operator< | ( | NotePos const & | p | ) | const

inline

comparison operator based on the position

## Member Data Documentation

bool libmwaw::DebugFile::NotePos::m_breaking

flag to indicate a non breaking note

Referenced by operator<().

long libmwaw::DebugFile::NotePos::m_pos

note offset

Referenced by operator<().

std::string libmwaw::DebugFile::NotePos::m_text

note text

Referenced by operator<().

The documentation for this struct was generated from the following file:

- MWAWDebug.hxx